--------------------------------------------------------
--  File created - Sobota-kvten-08-2010   
--------------------------------------------------------
--------------------------------------------------------
--  DDL for Sequence SEQ_ADRESY
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_ADRESY"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_CENIK
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_CENIK"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_KONTO
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_KONTO"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 101 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_NOVINKY
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_NOVINKY"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_PLOCHA
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_PLOCHA"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_REZERVACE
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_REZERVACE"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 861 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_ROLE
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_ROLE"  MINVALUE 1 MAXVALUE 1000 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_SLUZBA
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_SLUZBA"  MINVALUE 1 MAXVALUE 100 INCREMENT BY 1 START WITH 1 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Sequence SEQ_UZIVATELE
--------------------------------------------------------

   CREATE SEQUENCE  "DAVID"."SEQ_UZIVATELE"  MINVALUE 1 MAXVALUE 10000000 INCREMENT BY 1 START WITH 141 CACHE 20 NOORDER  NOCYCLE ;
--------------------------------------------------------
--  DDL for Table CENIK
--------------------------------------------------------

  CREATE TABLE "DAVID"."CENIK" 
   (	"ID_CENIK" NUMBER(*,0), 
	"CENA" FLOAT(63), 
	"ID_SLUZBY" NUMBER(*,0), 
	"DOBA" VARCHAR2(20), 
	"POCET_MIST" NUMBER(*,0)
   ) ;
--------------------------------------------------------
--  DDL for Table KONTO
--------------------------------------------------------

  CREATE TABLE "DAVID"."KONTO" 
   (	"ID_KONTA" NUMBER(*,0), 
	"STAV" FLOAT(63), 
	"ID_UZIVATELE" NUMBER(*,0)
   ) ;
--------------------------------------------------------
--  DDL for Table NOVINKY
--------------------------------------------------------

  CREATE TABLE "DAVID"."NOVINKY" 
   (	"ID_NOVINKY" NUMBER(*,0), 
	"TEXT" CHAR(2000 CHAR), 
	"ID_UZIVATELE" NUMBER(*,0)
   ) ;
--------------------------------------------------------
--  DDL for Table PLOCHA
--------------------------------------------------------

  CREATE TABLE "DAVID"."PLOCHA" 
   (	"ID_PLOCHY" NUMBER(*,0), 
	"NAZEV" VARCHAR2(20), 
	"ID_SLUZBY" NUMBER(*,0), 
	"POCET_NAVSTEV" NUMBER(*,0), 
	"VYNOS" FLOAT(63)
   ) ;
--------------------------------------------------------
--  DDL for Table REZERVACE
--------------------------------------------------------

  CREATE TABLE "DAVID"."REZERVACE" 
   (	"ID_REZERVACE" NUMBER(*,0), 
	"DATUM_REZERVACE" DATE, 
	"ID_UZIVATELE" NUMBER(*,0), 
	"ID_PLOCHY" NUMBER(*,0), 
	"ID_CENIK" NUMBER(*,0), 
	"POTVRZENO" NUMBER
   ) ;
--------------------------------------------------------
--  DDL for Table ROLE
--------------------------------------------------------

  CREATE TABLE "DAVID"."ROLE" 
   (	"ID_ROLE" NUMBER(*,0), 
	"NAZEV" VARCHAR2(20)
   ) ;
--------------------------------------------------------
--  DDL for Table SLUZBA
--------------------------------------------------------

  CREATE TABLE "DAVID"."SLUZBA" 
   (	"ID_SLUZBY" NUMBER(*,0), 
	"NAZEV" VARCHAR2(20)
   ) ;
--------------------------------------------------------
--  DDL for Table UZIVATELE
--------------------------------------------------------

  CREATE TABLE "DAVID"."UZIVATELE" 
   (	"ID_UZIVATELE" NUMBER(*,0), 
	"JMENO" VARCHAR2(20), 
	"PRIJMENI" VARCHAR2(20), 
	"USERNAME" VARCHAR2(30), 
	"HESLO" VARCHAR2(40), 
	"TELEFON" NUMBER(*,0), 
	"EMAIL" CHAR(30), 
	"ID_ROLE" NUMBER(*,0), 
	"MESTO" VARCHAR2(20), 
	"ULICE" VARCHAR2(20), 
	"CP" NUMBER, 
	"PSC" VARCHAR2(20)
   ) ;

---------------------------------------------------
--   DATA FOR TABLE UZIVATELE
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.UZIVATELE
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (21.'David'.'Pohl'.'david'.'172522ec1028ab781d9dfd17eaca4427'.777102030.'dav@seznam.cz                 '.3.'Kolin'.'Dlouha'.123.'55121');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (41.'Jan'.'Klma'.'admin'.'53a9dfe73ce3904f0e9ab4320d7d13e8'.222222222.'admin@seznam.cz               '.1.'admin'.'admin'.12.'22222');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (81.'Daniel'.'Dok'.'spravce'.'192a2929e714275bee587d280d596eeb'.111222333.'dav@gmail.cz                  '.2.'Trutnov'.'Dlouh'.122.'11111');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (42.'Pavlna'.'Havrdov'.'paja'.'53a9dfe73ce3904f0e9ab4320d7d13e8'.776894506.'pavlinkaha@seznam.cz          '.3.'ernoice'.'Hlubonice'.13.'55502');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (43.'Petr'.'Kov'.'petr'.'955db0b81ef1989b4a4dfeae8061a9a6'.223413211.'petr@seznam.cz                '.3.'Trutnov'.'Dlouh'.44.'55602');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (45.'Mira'.'Baier'.'mira'.'cf5bdfb40421ac1f30cc4d45b66b5a81'.121212122.'alskdj@sajdl.cz               '.3.'Trutnov'.'Krtk'.444.'12341');
Insert into DAVID.UZIVATELE (ID_UZIVATELE,JMENO,PRIJMENI,USERNAME,HESLO,TELEFON,EMAIL,ID_ROLE,MESTO,ULICE,CP,PSC) values (121.'dd'.'dd'.'dd'.'1aabac6d068eef6a7bad3fdf50a05cc8'.122122122.'asd                           '.3.'dd'.'dd'.12.'12121');

---------------------------------------------------
--   END DATA FOR TABLE UZIVATELE
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE PLOCHA
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.PLOCHA
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (1.'TENIS_K1'.1.15.5700);
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (2.'TENIS_K2'.1.14.5300);
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (3.'SQUASH_K1'.2.9.2650);
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (4.'SQUASH_K2'.2.10.3150);
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (5.'SPINNING'.3.5.750);
Insert into DAVID.PLOCHA (ID_PLOCHY,NAZEV,ID_SLUZBY,POCET_NAVSTEV,VYNOS) values (6.'SOLARIUM'.4.5.350);

---------------------------------------------------
--   END DATA FOR TABLE PLOCHA
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE SLUZBA
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.SLUZBA
Insert into DAVID.SLUZBA (ID_SLUZBY,NAZEV) values (1.'TENIS');
Insert into DAVID.SLUZBA (ID_SLUZBY,NAZEV) values (2.'SQUASH');
Insert into DAVID.SLUZBA (ID_SLUZBY,NAZEV) values (3.'SPINNING');
Insert into DAVID.SLUZBA (ID_SLUZBY,NAZEV) values (4.'SOLARIUM');

---------------------------------------------------
--   END DATA FOR TABLE SLUZBA
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE ROLE
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.ROLE
Insert into DAVID.ROLE (ID_ROLE,NAZEV) values (1.'admin');
Insert into DAVID.ROLE (ID_ROLE,NAZEV) values (2.'sprvce');
Insert into DAVID.ROLE (ID_ROLE,NAZEV) values (3.'UIVATEL');

---------------------------------------------------
--   END DATA FOR TABLE ROLE
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE KONTO
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.KONTO
Insert into DAVID.KONTO (ID_KONTA,STAV,ID_UZIVATELE) values (1.0.21);
Insert into DAVID.KONTO (ID_KONTA,STAV,ID_UZIVATELE) values (22.300.43);
Insert into DAVID.KONTO (ID_KONTA,STAV,ID_UZIVATELE) values (21.150.42);
Insert into DAVID.KONTO (ID_KONTA,STAV,ID_UZIVATELE) values (24.1000.45);

---------------------------------------------------
--   END DATA FOR TABLE KONTO
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE REZERVACE
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.REZERVACE
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (781.to_timestamp('20.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').43.4.20.1);
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (782.to_timestamp('20.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').43.4.21.1);
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (802.to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').42.2.7.0);
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (803.to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').42.2.8.1);
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (804.to_timestamp('21.04.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').42.2.9.0);
Insert into DAVID.REZERVACE (ID_REZERVACE,DATUM_REZERVACE,ID_UZIVATELE,ID_PLOCHY,ID_CENIK,POTVRZENO) values (841.to_timestamp('09.05.10 00:00:00,000000000','DD.MM.RR HH24:MI:SS,FF').21.3.19.0);

---------------------------------------------------
--   END DATA FOR TABLE REZERVACE
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE CENIK
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.CENIK
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (1.200.1.'9'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (2.200.1.'10'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (3.200.1.'11'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (4.300.1.'12'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (5.300.1.'13'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (6.400.1.'14'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (7.400.1.'15'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (8.400.1.'16'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (9.400.1.'17'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (10.500.1.'18'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (11.500.1.'19'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (12.500.1.'20'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (13.200.2.'9'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (14.200.2.'10'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (15.200.2.'11'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (16.300.2.'12'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (17.300.2.'13'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (18.300.2.'14'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (19.300.2.'15'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (20.350.2.'16'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (21.350.2.'17'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (22.350.2.'18'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (23.400.2.'19'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (24.400.2.'20'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (25.120.3.'13'.9);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (26.120.3.'14'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (27.150.3.'18'.7);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (28.150.3.'19'.10);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (29.100.4.'9'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (30.70.4.'9:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (31.70.4.'10'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (32.70.4.'10:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (33.70.4.'11'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (34.70.4.'11:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (35.70.4.'12'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (36.70.4.'12:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (37.70.4.'13'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (38.70.4.'13:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (39.70.4.'14'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (40.70.4.'14:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (41.70.4.'15'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (42.70.4.'15:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (43.70.4.'16'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (44.70.4.'16:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (45.70.4.'17'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (46.70.4.'17:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (47.70.4.'18'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (48.70.4.'18:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (49.70.4.'19'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (50.70.4.'19:30'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (51.70.4.'20'.0);
Insert into DAVID.CENIK (ID_CENIK,CENA,ID_SLUZBY,DOBA,POCET_MIST) values (52.70.4.'20:30'.0);

---------------------------------------------------
--   END DATA FOR TABLE CENIK
---------------------------------------------------

---------------------------------------------------
--   DATA FOR TABLE NOVINKY
--   FILTER = none used
---------------------------------------------------
REM INSERTING into DAVID.NOVINKY
Insert into DAVID.NOVINKY (ID_NOVINKY,TEXT,ID_UZIVATELE) values (2.' <p><span style=\"font-size: small;\"><strong><span style=\"color: #ff0000;\">Dleit&eacute; upozornn&iacute;!</span></strong></span><span style=\"color: #888888;\"><strong><span style=\"font-size: small;\"> Od <span style=\"color: #333333;\">25.2.2010</span> zdraujeme tenis. V&scaron;echny rezervace uskutenn&eacute; na tuto dobu budou automaticky zdraeny!</span></strong></span></p>
<p><span style=\"color: #888888;\"><strong><span style=\"font-size: small;\"><span style=\"color: #333333;\">Hled&aacute;me nov&eacute; zamstnance</span> na pozici kondin&iacute; tren&eacute;r a instruktor fitness! Z&aacute;jemci volejte na tel: </span></strong></span><span style=\"color: #808080;\"><strong><span style=\"font-size: small;\"><span style=\"color: #333333;\">789 890 098 </span></span></strong></span><span style=\"color: #888888;\"><strong><span style=\"font-size: small;\">nebo pos&iacute;lejte ivotopis na email</span></strong><strong><span style=\"font-size: small;\"> </span></strong></span><span style=\"color: #333333;\"><strong><span style=\"font-size: small;\">sportclub@info.cz.</span></strong></span></p>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               '.81);
Insert into DAVID.NOVINKY (ID_NOVINKY,TEXT,ID_UZIVATELE) values (1.' <ul>
<li><span style=\"color: #333333;\"><strong><span style=\"font-size: medium;\">Sport Club</span></strong></span></li>
<li><span style=\"color: #333333;\"><strong><span style=\"font-size: small;\">Hradec Kr&aacute;lov&eacute;, dlouh&aacute; 12, 342 21</span></strong></span><span style=\"color: #808080;\"><strong></strong></span></li>
<li><span style=\"color: #808080;\"><strong><span style=\"font-size: small;\">telefon: <span style=\"color: #333333;\">789 890 098</span></span></strong></span></li>
<li><span style=\"color: #333333;\"><strong><span style=\"font-size: small;\"><span style=\"color: #808080;\">email:</span> sportclub@info.cz</span></strong></span></li>
</ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '.null);
Insert into DAVID.NOVINKY (ID_NOVINKY,TEXT,ID_UZIVATELE) values (3.' <ul>
<li><span style=\"color: #333333;\"><strong><span style=\"font-size: medium;\">Spr&aacute;vci </span></strong></span><span style=\"font-size: small; color: #333333;\"><strong></strong></span></li>
<li><span style=\"font-size: small; color: #808080;\"><strong>David Pohl</strong> - <strong><span style=\"color: #333333;\">789 098 098</span></strong></span></li>
<li><span style=\"font-size: small; color: #808080;\"><strong>Tom&aacute;&scaron; Janeek</strong> - <strong><span style=\"color: #333333;\">786 998 890</span></strong></span></li>
<li><span style=\"font-size: small; color: #808080;\"><strong>Jan Loket</strong> - <strong><span style=\"color: #333333;\">658 998 890</span></strong></span></li>
<li><span style=\"font-size: small; color: #808080;\"><strong>Petr Dvo&aacute;k</strong>- <strong><span style=\"color: #333333;\">968 998 890</span></strong></span></li>
</ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 '.null);
Insert into DAVID.NOVINKY (ID_NOVINKY,TEXT,ID_UZIVATELE) values (4.' <ul>
<li><strong><span style=\"font-size: small;\">Jan Borec - tenis, squash</span></strong></li>
<li><strong></strong><span style=\"font-size: small;\"><strong><span style=\"color: #808080;\">telefon: </span>777 278 879</strong></span></li>
<li><span style=\"font-size: small;\"><strong><span style=\"color: #808080;\">emal:</span> <span style=\"color: #333333;\">borec@info.cz</span></strong></span></li>
</ul>
<ul>
<li><strong><span style=\"font-size: small;\">Radek Sova - kondin&iacute; tren&eacute;r</span></strong></li>
<li><strong><span style=\"font-size: small;\"><span style=\"color: #808080; background-color: #ffffff;\">telefon:</span> 789 098 231</span></strong></li>
<li><strong><span style=\"font-size: small;\"><span style=\"color: #808080;\">email: </span>sova@info.cz</span></strong></li>
</ul>
<ul>
<li><strong><span style=\"font-size: small;\">Petr Dokal - squash, spinning</span></strong></li>
<li><strong><span style=\"font-size: small;\"><span style=\"color: #808080; background-color: #ffffff;\">telefon:</span> 789 098 234</span></strong></li>
<li><strong><span style=\"font-size: small;\"><span style=\"color: #808080;\">email: </span>dockal@info.cz</span></strong></li>
</ul>                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                           '.81);

---------------------------------------------------
--   END DATA FOR TABLE NOVINKY
---------------------------------------------------
--------------------------------------------------------
--  Constraints for Table CENIK
--------------------------------------------------------

  ALTER TABLE "DAVID"."CENIK" ADD CONSTRAINT "KEY8" PRIMARY KEY ("ID_CENIK") ENABLE;
 
  ALTER TABLE "DAVID"."CENIK" MODIFY ("ID_CENIK" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."CENIK" MODIFY ("CENA" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."CENIK" MODIFY ("ID_SLUZBY" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."CENIK" MODIFY ("DOBA" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table KONTO
--------------------------------------------------------

  ALTER TABLE "DAVID"."KONTO" ADD CONSTRAINT "KEY9" PRIMARY KEY ("ID_KONTA") ENABLE;
 
  ALTER TABLE "DAVID"."KONTO" MODIFY ("ID_KONTA" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."KONTO" MODIFY ("STAV" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."KONTO" MODIFY ("ID_UZIVATELE" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table NOVINKY
--------------------------------------------------------

  ALTER TABLE "DAVID"."NOVINKY" ADD CONSTRAINT "KEY4" PRIMARY KEY ("ID_NOVINKY") ENABLE;
 
  ALTER TABLE "DAVID"."NOVINKY" MODIFY ("ID_NOVINKY" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table PLOCHA
--------------------------------------------------------

  ALTER TABLE "DAVID"."PLOCHA" ADD CONSTRAINT "KEY7" PRIMARY KEY ("ID_PLOCHY") ENABLE;
 
  ALTER TABLE "DAVID"."PLOCHA" MODIFY ("ID_PLOCHY" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."PLOCHA" MODIFY ("NAZEV" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."PLOCHA" MODIFY ("ID_SLUZBY" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."PLOCHA" MODIFY ("POCET_NAVSTEV" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."PLOCHA" MODIFY ("VYNOS" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table REZERVACE
--------------------------------------------------------

  ALTER TABLE "DAVID"."REZERVACE" ADD CONSTRAINT "KEY5" PRIMARY KEY ("ID_REZERVACE", "ID_PLOCHY", "ID_CENIK") ENABLE;
 
  ALTER TABLE "DAVID"."REZERVACE" MODIFY ("ID_REZERVACE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."REZERVACE" MODIFY ("DATUM_REZERVACE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."REZERVACE" MODIFY ("ID_UZIVATELE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."REZERVACE" MODIFY ("ID_PLOCHY" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."REZERVACE" MODIFY ("ID_CENIK" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table ROLE
--------------------------------------------------------

  ALTER TABLE "DAVID"."ROLE" ADD CONSTRAINT "KEY2" PRIMARY KEY ("ID_ROLE") ENABLE;
 
  ALTER TABLE "DAVID"."ROLE" MODIFY ("ID_ROLE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."ROLE" MODIFY ("NAZEV" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table SLUZBA
--------------------------------------------------------

  ALTER TABLE "DAVID"."SLUZBA" ADD CONSTRAINT "KEY6" PRIMARY KEY ("ID_SLUZBY") ENABLE;
 
  ALTER TABLE "DAVID"."SLUZBA" MODIFY ("ID_SLUZBY" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."SLUZBA" MODIFY ("NAZEV" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table UZIVATELE
--------------------------------------------------------

  ALTER TABLE "DAVID"."UZIVATELE" ADD CONSTRAINT "ID_UZIVATELE" PRIMARY KEY ("ID_UZIVATELE") ENABLE;
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("ID_UZIVATELE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("JMENO" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("PRIJMENI" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("USERNAME" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("HESLO" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("TELEFON" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("EMAIL" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("ID_ROLE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("MESTO" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("ULICE" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("PSC" NOT NULL ENABLE);
 
  ALTER TABLE "DAVID"."UZIVATELE" MODIFY ("CP" NOT NULL ENABLE);
--------------------------------------------------------
--  DDL for Index ID_UZIVATELE
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."ID_UZIVATELE" ON "DAVID"."UZIVATELE" ("ID_UZIVATELE") 
  ;
--------------------------------------------------------
--  DDL for Index KEY2
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY2" ON "DAVID"."ROLE" ("ID_ROLE") 
  ;
--------------------------------------------------------
--  DDL for Index KEY4
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY4" ON "DAVID"."NOVINKY" ("ID_NOVINKY") 
  ;
--------------------------------------------------------
--  DDL for Index KEY5
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY5" ON "DAVID"."REZERVACE" ("ID_REZERVACE", "ID_PLOCHY", "ID_CENIK") 
  ;
--------------------------------------------------------
--  DDL for Index KEY6
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY6" ON "DAVID"."SLUZBA" ("ID_SLUZBY") 
  ;
--------------------------------------------------------
--  DDL for Index KEY7
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY7" ON "DAVID"."PLOCHA" ("ID_PLOCHY") 
  ;
--------------------------------------------------------
--  DDL for Index KEY8
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY8" ON "DAVID"."CENIK" ("ID_CENIK") 
  ;
--------------------------------------------------------
--  DDL for Index KEY9
--------------------------------------------------------

  CREATE UNIQUE INDEX "DAVID"."KEY9" ON "DAVID"."KONTO" ("ID_KONTA") 
  ;
--------------------------------------------------------
--  Ref Constraints for Table CENIK
--------------------------------------------------------

  ALTER TABLE "DAVID"."CENIK" ADD CONSTRAINT "URCUJE_CENU" FOREIGN KEY ("ID_SLUZBY")
	  REFERENCES "DAVID"."SLUZBA" ("ID_SLUZBY") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table KONTO
--------------------------------------------------------

  ALTER TABLE "DAVID"."KONTO" ADD CONSTRAINT "MA_KONNTO" FOREIGN KEY ("ID_UZIVATELE")
	  REFERENCES "DAVID"."UZIVATELE" ("ID_UZIVATELE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table NOVINKY
--------------------------------------------------------

  ALTER TABLE "DAVID"."NOVINKY" ADD CONSTRAINT "SPRAVUJE_NOVINKY" FOREIGN KEY ("ID_UZIVATELE")
	  REFERENCES "DAVID"."UZIVATELE" ("ID_UZIVATELE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table PLOCHA
--------------------------------------------------------

  ALTER TABLE "DAVID"."PLOCHA" ADD CONSTRAINT "JE_DRUH_SLUZBY" FOREIGN KEY ("ID_SLUZBY")
	  REFERENCES "DAVID"."SLUZBA" ("ID_SLUZBY") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table REZERVACE
--------------------------------------------------------

  ALTER TABLE "DAVID"."REZERVACE" ADD CONSTRAINT "JE_REZERVOVANA" FOREIGN KEY ("ID_PLOCHY")
	  REFERENCES "DAVID"."PLOCHA" ("ID_PLOCHY") ENABLE;
 
  ALTER TABLE "DAVID"."REZERVACE" ADD CONSTRAINT "MA_CENU" FOREIGN KEY ("ID_CENIK")
	  REFERENCES "DAVID"."CENIK" ("ID_CENIK") ENABLE;
 
  ALTER TABLE "DAVID"."REZERVACE" ADD CONSTRAINT "REZERVUJE" FOREIGN KEY ("ID_UZIVATELE")
	  REFERENCES "DAVID"."UZIVATELE" ("ID_UZIVATELE") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table UZIVATELE
--------------------------------------------------------

  ALTER TABLE "DAVID"."UZIVATELE" ADD CONSTRAINT "MA_ROLI" FOREIGN KEY ("ID_ROLE")
	  REFERENCES "DAVID"."ROLE" ("ID_ROLE") ENABLE;
--------------------------------------------------------
--  DDL for Trigger SMAZ_UZIVATELE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "DAVID"."SMAZ_UZIVATELE" 
BEFORE DELETE ON uzivatele
FOR EACH ROW
BEGIN
DELETE FROM konto
WHERE id_uzivatele=:OLD.id_uzivatele;

DELETE FROM rezervace
WHERE id_uzivatele=:OLD.id_uzivatele;
END;

/
ALTER TRIGGER "DAVID"."SMAZ_UZIVATELE" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TR_KONTO
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "DAVID"."TR_KONTO" 
BEFORE INSERT ON konto
FOR EACH ROW
BEGIN
SELECT SEQ_KONTO.nextval INTO :new.id_konta FROM DUAL;
END;
/
ALTER TRIGGER "DAVID"."TR_KONTO" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TR_REZERVACE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "DAVID"."TR_REZERVACE" 
BEFORE INSERT ON rezervace
FOR EACH ROW
BEGIN
SELECT SEQ_REZERVACE.nextval INTO :new.id_rezervace FROM DUAL;
END;
/
ALTER TRIGGER "DAVID"."TR_REZERVACE" ENABLE;
--------------------------------------------------------
--  DDL for Trigger TR_UZIVATELE
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "DAVID"."TR_UZIVATELE" 
BEFORE INSERT ON uzivatele
FOR EACH ROW
BEGIN
SELECT SEQ_UZIVATELE.nextval INTO :new.id_uzivatele FROM DUAL;
END;

/
ALTER TRIGGER "DAVID"."TR_UZIVATELE" ENABLE;
